﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\IDI_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_IDI_API_CONFIG') 
 CREATE TABLE T_IDI_API_CONFIG (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCLIENTID NVARCHAR(64) DEFAULT ' ' NOT NULL,
FCLIENTSECRET NVARCHAR(128) DEFAULT ' ' NOT NULL,
FHTTPMETHOD NVARCHAR(30) DEFAULT ' ' NOT NULL,
FURL NVARCHAR(1024) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_IDI_API_CONFIG_L') 
 CREATE TABLE T_IDI_API_CONFIG_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_IDI_LOGISTICS_DATA') 
 CREATE TABLE T_IDI_LOGISTICS_DATA (
FDATAID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCONTEXT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFTIME NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FAREACODE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FAREANAME NVARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_IDI_API_CONFIG_R3') 
 CREATE TABLE T_IDI_API_CONFIG_R3 (
FID BIGINT DEFAULT 0 NOT NULL,
FREFSTATUS CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_IDI_API_PARAM_CONFIG') 
 CREATE TABLE T_IDI_API_PARAM_CONFIG (
FPARAMID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPARAMNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPARAMTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPARAMDESC NVARCHAR(255)
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_IDI_LOGISTICS_INFO') 
 CREATE TABLE T_IDI_LOGISTICS_INFO (
FID BIGINT DEFAULT 0 NOT NULL,
FKUAIDINUM NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCOMPANYCODE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FKUADICOMNAME NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FISCHECK CHAR(1) DEFAULT ' ' NOT NULL,
FSENDTIME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\IDI_table.sql **/
